{% extends 'base.html' %}
{% load wagtailcore_tags wagtailimages_tags staticfiles %}

{% block content %}
<header>
{% with parent=page.get_parent %}<a href="{% pageurl parent %}">&larr;{{ parent.title }}</a>{% endwith %}
<h1>{{ page.title }}</h1>
</header>

<div id="controls"></div>

<div id="thumbs">
  <ul class="thumbs noscript">
  {% for image in page.images.all %}
  {% image image.image max-220x220 as thumb %} {% image image.image max-700x525 as full %}
    <li>
      <a class="thumb {% if image.get_ratio <= 0.75 %}landscape{% else %}portrait{% endif %}" orientation="{% if image.get_ratio <= 0.75 %}landscape{% else %}portrait{% endif %}" href="{{ full.url }}" title="{{ image.image.title }}">{{ thumb.img_tag }}</a>
      <div class="caption">{{ image.caption|safe }}</div>
    </li>
  {% endfor %}
  </ul>
</div>

<div id="loading"></div>
<div id="slideshow"></div>

<div id="caption"></div>

<dl id="metafields">
{% for metafield in page.metafields.all %}
  <dt>{{ metafield.key.text }}</dt>
{% endfor %}
</dl>

<div id="description">
  {{ page.description|richtext }}
</div>

{% endblock %}

{% block extra_js %}
<!-- SAS - Convert this to Vue.JS -->
<script
  src="https://code.jquery.com/jquery-1.3.2.pack.js"
  integrity="sha256-yDcKLQUDWenVBazEEeb0V6SbITYKIebLySKbrTp2eJk="
  crossorigin="anonymous">
</script>
<script type="text/javascript" src="{% static "portfolio/jquery.galleriffic.js" %}"></script>
<script>
jQuery(document).ready(function($) {
    var gallery = $('#thumbs').galleriffic({
        delay:                     2500, // in milliseconds
        numThumbs:                 20, // The number of thumbnails to show page
        preloadAhead:              40, // Set to -1 to preload all images
        enableTopPager:            false,
        enableBottomPager:         true,
        maxPagesToShow:            7,  // The maximum number of pages to display in either the top or bottom pager
        imageContainerSel:         '#slideshow', // The CSS selector for the element within which the main slideshow image should be rendered
        controlsContainerSel:      '#controls', // The CSS selector for the element within which the slideshow controls should be rendered
        captionContainerSel:       '#caption', // The CSS selector for the element within which the captions should be rendered
        loadingContainerSel:       '#loading', // The CSS selector for the element within which should be shown when an image is loading
        renderSSControls:          true, // Specifies whether the slideshow's Play and Pause links should be rendered
        renderNavControls:         true, // Specifies whether the slideshow's Next and Previous links should be rendered
        playLinkText:              'Play',
        pauseLinkText:             'Pause',
        prevLinkText:              'Previous',
        nextLinkText:              'Next',
        nextPageLinkText:          'Next &rsaquo;',
        prevPageLinkText:          '&lsaquo; Prev',
        enableHistory:             false, // Specifies whether the url's hash and the browser's history cache should update when the current slideshow image changes
        enableKeyboardNavigation:  true, // Specifies whether keyboard navigation is enabled
        autoStart:                 true, // Specifies whether the slideshow should be playing or paused when the page first loads
        syncTransitions:           true, // Specifies whether the out and in transitions occur simultaneously or distinctly
        defaultTransitionDuration: 1000, // If using the default transitions, specifies the duration of the transitions
        onSlideChange:             undefined, // accepts a delegate like such: function(prevIndex, nextIndex) { ... }
        onTransitionOut:           undefined, // accepts a delegate like such: function(slide, caption, isSync, callback) { ... }
        onTransitionIn:            function(slide,caption,isSync) {
            var img = slide.find('img');
            if ($(this.find("ul.thumbs").children().get(this.currentImage.index)).find('a').attr('orientation') == "portrait") {
                img.addClass("portrait").removeClass("landscape");
            } else {
                img.addClass("landscape").removeClass("portrait");
            }

            slide.fadeTo(this.getDefaultTransitionDuration(isSync), 1.0);

            if (caption) {
                caption.css('position','absolute').css('top','0').fadeTo(this.getDefaultTransitionDuration(isSync), 1.0, function() {
                    caption.css('position','relative');
                });
            }
        }, // accepts a delegate like such: function(slide, caption, isSync) { ... }
        onPageTransitionOut:       undefined, // accepts a delegate like such: function(callback) { ... }
        onPageTransitionIn:        undefined, // accepts a delegate like such: function() { ... }
        onImageAdded:              undefined, // accepts a delegate like such: function(imageData, $li) { ... }
        onImageRemoved:            undefined  // accepts a delegate like such: function(imageData, $li) { ... }
    });
});
</script>
{% endblock %}
